Subject: Re: bug#31769: mpd / pulse control issue

From: [email-masked] (宋文武)
Date: Sun, 10 Jun 2018 10:18:47 +0800

Bradley Haggerty <[email-masked]> writes:

> I have mpd enabled as a herd service. When I start my computer, mpd can play my music fine, but pavucontrol can't connect to pulse and show my volume controls. If I
> kill pulse and open pavucontrol, all my volume controls are visible, but then mpd can't play music. If I kill pulse again and this time play a song in mpd, mpd works again,
> but pavucontrol can't connect. Basically, if mpd starts pulse, mpd works, but other things can't connect, and if pavucontrol starts pulse, mpd can't connect to pulse. Since
> I have mpd enabled as a service, it's the one to start pulse on a fresh boot. I also tried starting pulse as my user by killing it and opening pavucontrol, then restarting the
> mpd service in case it could find my pulse service this way. No success there. While mpd has control of pulse, other applications also lack sounds, such as mpv (video
> players) and icecat.

According to the wiki of ArchLinux, users of PulseAudio with a
system-wide MPD configuration have to implement a workaground:

<https://wiki.archlinux.org/index.php/Music_Player_Daemon/Tips_and_tricks#Local_.28with_separate_mpd_user.29>

It suggests letting mpd use pulseaudio's tcp module to send sound to
localhost, where user's pulseaudio server listening.

This seems too tricky for me, I'll suggest you forget the system herd
service, and launch mpd as a normal user:
<https://wiki.archlinux.org/index.php/Music_Player_Daemon#Per-user_configuration>.